#ifndef __GNOME_UCOMBO_H_
#define __GNOME_UCOMBO_H_

#include <gtk/gtkhbox.h>
#include <libgnome/gnome-defs.h>

BEGIN_GNOME_DECLS


#define GNOME_UCOMBO(obj)          GTK_CHECK_CAST (obj, gnome_ucombo_get_type(), GnomeUcombo)
#define GNOME_UCOMBO_CLASS(klass)  GTK_CHECK_CLASS_CAST (klass, gnome_ucombo_get_type(), GnomeUcomboClass)
#define GNOME_IS_UCOMBO(obj)       GTK_CHECK_TYPE (obj, gnome_ucombo_get_type ())

typedef struct {
    GtkHBox hbox;

    GtkWidget *entry;
    GtkWidget *button;

    GtkWidget *popwindow;
    GtkWidget *popwidget;
} GnomeUcombo;

typedef struct {
    GtkHBoxClass parent_class;
} GnomeUcomboClass;

guint gnome_ucombo_get_type(void);
GtkWidget *gnome_ucombo_new(GtkWidget * the_popwidget);
void gnome_ucombo_hide_popup(GnomeUcombo * ucombo);


END_GNOME_DECLS

#endif
