#ifndef __report_grp_axis_h__
#define __report_grp_axis_h__

#include <glib.h>

#include "py_module.h"

#define REPORT_GROUP_LABEL_MAX_SIZE 32
typedef struct _ReportGroupData ReportGroupData;
#define ReportGroupDataPtr(x) ((ReportGroupData *)(x))

struct _ReportGroupData {
     gchar label[REPORT_GROUP_LABEL_MAX_SIZE];
     gchar expr[PY_EXPRESSION_MAX_SIZE];
};

/* a list of *ReportGroupData */
GList *report_grp_axis_list;

/* initializes the above list to be empty */
void report_grp_axis_init(void);

/* frees memory taken by the list */
void report_grp_axis_done(void);

/* pops up a dialog letting the user edit the groups axis 
   returns True if actually changed the axis */
gboolean report_grp_axis_edit(void);

#endif
